// the global preferences cookie
var settingsCookie = new Mojo.Model.Cookie("settings");

// the global settings store
var settings = new Settings();

function StageAssistant() {}

StageAssistant.prototype.setup = function() {
	this.controller.pushScene({
		name: "main",
		disableSceneScroller: true
	});
	this.controller.setWindowOrientation("free");
};

StageAssistant.prototype.handleCommand = function(event) {
	if (event.type == Mojo.Event.commandEnable && (event.command == Mojo.Menu.helpCmd || event.command == Mojo.Menu.prefsCmd)) {
		event.stopPropagation();
	}

	if (event.type == Mojo.Event.command) {
		switch (event.command) {
		case Mojo.Menu.helpCmd:
			Mojo.Controller.stageController.pushScene("help");
			break;
		case Mojo.Menu.prefsCmd:
			Mojo.Controller.stageController.pushScene("preferences");
			break;
		}
	}
};