opus.Gizmo({
	name: "preferences",
	dropTarget: true,
	type: "Palm.Mojo.Panel",
	h: "100%",
	styles: {
		zIndex: 2
	},
	chrome: [
		{
			name: "pageHeader1",
			title: "Preferences",
			type: "Palm.Mojo.PageHeader",
			l: 0,
			t: 0
		},
		{
			name: "scroller1",
			scrollPosition: {
				left: 0,
				top: 0
			},
			type: "Palm.Mojo.Scroller",
			l: 0,
			t: 320,
			b: "",
			h: "100%",
			styles: {
				cursor: "move",
				overflow: "hidden"
			},
			controls: [
				{
					name: "group1",
					dropTarget: true,
					label: "Servers and Passphrases",
					type: "Palm.Mojo.Group",
					l: 0,
					t: 0,
					h: "320",
					controls: [
						{
							name: "row1",
							dropTarget: true,
							rowType: "first",
							type: "Palm.Mojo.Row",
							l: 0,
							t: 0,
							h: "auto",
							controls: [
								{
									name: "listSelector1",
									modelName: "listSelector1Model",
									value: "srv_demo1",
									choices: [
										{
											label: "DEMO-DATA1",
											value: "srv_demo1"
										},
										{
											label: "DEMO-DATA2",
											value: "srv_demo2"
										},
										{
											label: "DEMO-DATA3",
											value: "srv_demo3"
										}
									],
									label: "Server",
									onchange: "listSelector1Change",
									type: "Palm.Mojo.ListSelector",
									l: "2",
									w: "98%",
									h: "52"
								}
							]
						},
						{
							name: "row2",
							dropTarget: true,
							rowType: "middle",
							isTextField: true,
							type: "Palm.Mojo.Row",
							l: 0,
							t: 60,
							h: "auto",
							controls: [
								{
									name: "textField1",
									hintText: "server name",
									type: "Palm.Mojo.TextField",
									l: 0
								}
							]
						},
						{
							name: "row3",
							dropTarget: true,
							rowType: "middle",
							isTextField: true,
							type: "Palm.Mojo.Row",
							l: 0,
							t: "",
							h: "auto",
							controls: [
								{
									name: "passwordField1",
									hintText: "server master otp passphrase",
									type: "Palm.Mojo.PasswordField"
								}
							]
						},
						{
							name: "row4",
							layoutKind: "hbox",
							dropTarget: true,
							focusHighlight: false,
							tapHighlight: false,
							rowType: "middle",
							type: "Palm.Mojo.Row",
							l: 0,
							t: "",
							h: "auto",
							controls: [
								{
									name: "button1",
									ontap: "button1Tap",
									disabled: undefined,
									label: "Save ",
									type: "Palm.Mojo.Button",
									l: 0,
									t: 0
								}
							]
						},
						{
							name: "row5",
							dropTarget: true,
							focusHighlight: false,
							tapHighlight: false,
							rowType: "last",
							type: "Palm.Mojo.Row",
							l: 0,
							t: "",
							h: "auto",
							controls: [
								{
									name: "button2",
									ontap: "button2Tap",
									disabled: undefined,
									label: "Delete",
									type: "Palm.Mojo.Button"
								}
							]
						}
					]
				}
			]
		}
	]
});